#!/usr/bin/env python
import user
import config.base
import os

class Configure(config.base.Configure):
  def __init__(self, framework):
    config.base.Configure.__init__(self, framework)
    self.headerPrefix = ''
    self.substPrefix  = ''
    return

  def setupDependencies(self, framework):
    config.base.Configure.setupDependencies(self, framework)
    self.headers = framework.require('config.headers', self)
    self.mpi = framework.require('PETSc.packages.MPI', self)
    self.headers.headers.extend(['malloc.h','string.h'])
    return

  def __str__(self):
    return ''

  def configure(self):
    if not self.mpi.found:
      raise RuntimeError('ParMetis requires MPI!')
    return

if __name__ == '__main__':
  import config.framework
  import sys

  framework = config.framework.Framework(sys.argv[1:])
  framework.addChild(Configure(framework))
  framework.configure()
  framework.dumpSubstitutions()
